wxWidgets: wxSecretString Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxSecretString Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/secretstore.h>`

Inheritance diagram for wxSecretString:
[legend]

## Detailed Description

Temporary string whose contents will be overwritten when it is destroyed.

Objects of this class must not be used polymorphically as it derives from wxString which doesn't have a virtual destructor. Typically, they are used as local variables, e.g.

void TryToAuthenticate(const wxString& secretValue)
{
wxSecretString password(secretValue);
... use password as any wxString ...
// Here password memory is overwritten to prevent the password from
// remaining in memory.
}
wxSecretString::wxSecretString
wxSecretString()
Default constructor creates an empty string.
wxString::wxString
wxString()
Default constructor.

Since
  3.1.5

## Public Member Functions
| wxSecretString ()
| Default constructor creates an empty string.
| wxSecretString (const wxString &value)
| Constructor from a plain string.
| wxSecretString (const wxSecretValue &value)
| Constructor from a secret value.
| ~wxSecretString ()
| Destructor calls wxSecretValue::WipeString().
Public Member Functions inherited from wxString
| wxString ()
| Default constructor.
| wxString (const wxString &stringSrc)
| Creates a string from another string.
| wxString (wxUniChar ch, size_t nRepeat=1)
| Construct a string consisting of nRepeat copies of ch.
| wxString (wxUniCharRef ch, size_t nRepeat=1)
| Construct a string consisting of nRepeat copies of ch.
| wxString (char ch, size_t nRepeat=1)
| Construct a string consisting of nRepeat copies of ch converted to Unicode using the current locale encoding.
| wxString (wchar_t ch, size_t nRepeat=1)
| Construct a string consisting of nRepeat copies of ch.
| wxString (const char *psz)
| Constructs a string from the string literal psz using the current locale encoding to convert it to Unicode (wxConvLibc).
| wxString (const char *psz, const wxMBConv &conv)
| Constructs a string from the string literal psz using conv to convert it Unicode.
| wxString (const char *psz, size_t nLength)
| Constructs a string from the first nLength bytes of the string literal psz using the current locale encoding to convert it to Unicode (wxConvLibc).
| wxString (const char *psz, const wxMBConv &conv, size_t nLength)
| Constructs a string from the first nLength bytes of the string literal psz using conv to convert it Unicode.
| wxString (const wchar_t *pwz)
| Constructs a string from the string literal pwz.
| wxString (const wchar_t *pwz, size_t nLength)
| Constructs a string from the first nLength characters of the string literal pwz.
| wxString (const wxCharBuffer &buf)
| Constructs a string from buf using the using the current locale encoding to convert it to Unicode.
| wxString (const wxWCharBuffer &buf)
| Constructs a string from buf.
| wxString (const std::string &str)
| Constructs a string from str using the using the current locale encoding to convert it to Unicode (wxConvLibc).
| wxString (const std::wstring &str)
| Constructs a string from str.
| ~wxString ()
| String destructor.
wxString | operator= (const wxString &str)
| Assignment: see the relative wxString constructor.
wxString | operator= (wxUniChar c)
| Assignment: see the relative wxString constructor.
size_t | Len () const
| Returns the length of the string.
size_t | Length () const
| Returns the length of the string (same as Len).
bool | IsEmpty () const
| Returns true if the string is empty.
bool | IsNull () const
| Returns true if the string is empty (same as wxString::IsEmpty).
bool | operator! () const
| Empty string is false, so !string will only return true if the string is empty.
wxUniChar | GetChar (size_t n) const
| Returns the character at position n (read-only).
const wxCStrData | GetData () const
| wxWidgets compatibility conversion.
wxUniCharRef | GetWritableChar (size_t n)
| Returns a reference to the character at position n.
wxStringCharType * | GetWriteBuf (size_t len)
| Returns a writable buffer of at least len bytes.
void | UngetWriteBuf ()
| Puts the string back into a reasonable state (in which it can be used normally), after GetWriteBuf() was called.
void | UngetWriteBuf (size_t len)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | SetChar (size_t n, wxUniChar ch)
| Sets the character at position n.
wxUniChar | Last () const
| Returns the last character.
wxUniCharRef | Last ()
| Returns a reference to the last character (writable).
wxUniChar | operator[] (size_t i) const
| Returns the i-th character of the string.
wxUniCharRef | operator[] (size_t i)
| Returns a writable reference to the i-th character of the string.
wxCStrData | c_str () const
| Returns a lightweight intermediate class which is in turn implicitly convertible to both `const` `char*` and to `const` `wchar_t*`.
wxWritableCharBuffer | char_str (const wxMBConv &conv=wxConvLibc) const
| Returns an object with string data that is implicitly convertible to `char*` pointer.
template<typename T>
wxCharTypeBuffer< T > | tchar_str (size_t *len=NULL) const
| Returns buffer of the specified type containing the string data.
const TYPE | fn_str () const
| Returns a string representation suitable for passing to OS' functions for file handling.
const wxCharBuffer | mb_str (const wxMBConv &conv=wxConvLibc) const
| Returns the multibyte (C string) representation of the string using conv's wxMBConv::cWC2MB method and returns wxCharBuffer.
const wxScopedCharBuffer | utf8_str () const
| Converts the strings contents to UTF-8 and returns it either as a temporary wxCharBuffer object or as a pointer to the internal string contents in UTF-8 build.
const std::string | utf8_string () const
| Return the string as an std::string using UTF-8 encoding.
const TYPE | wc_str () const
| Converts the strings contents to the wide character representation and returns it as a temporary wxWCharBuffer object (Unix and macOS) or returns a pointer to the internal string contents in wide character mode (Windows).
wxWritableWCharBuffer | wchar_str () const
| Returns an object with string data that is implicitly convertible to `char*` pointer.
const wxStringCharType * | wx_str () const
| Explicit conversion to C string in the internal representation (either wchar_t* or UTF-8-encoded char*, depending on the build).
const wxScopedCharBuffer | To8BitData () const
| Converts the string to an 8-bit string in ISO-8859-1 encoding in the form of a wxCharBuffer (Unicode builds only).
const TYPE | ToAscii (char replaceWith='_') const
| Converts the string to an ASCII, 7-bit string in the form of a wxCharBuffer (Unicode builds only) or a C string (ANSI builds).
std::string | ToStdString (const wxMBConv &conv=wxConvLibc) const
| Return the string as a std::string using conv's wxMBConv::cWC2MB method.
std::wstring | ToStdWstring () const
| Return the string as a std::wstring.
const wxScopedCharBuffer | ToUTF8 () const
| Same as utf8_str().
wxString & | Append (const char *psz)
| Appends the string literal psz.
wxString & | Append (const wchar_t *pwz)
| Appends the wide string literal pwz.
wxString & | Append (const char *psz, size_t nLen)
| Appends the string literal psz with max length nLen.
wxString & | Append (const wchar_t *pwz, size_t nLen)
| Appends the wide string literal psz with max length nLen.
wxString & | Append (const wxString &s)
| Appends the string s.
wxString & | Append (wxUniChar ch, size_t count=1u)
| Appends the character ch count times.
wxString & | Prepend (const wxString &str)
| Prepends str to this string, returning a reference to this string.
wxString | operator+ (const wxString &x, const wxString &y)
| Concatenation: returns a new string equal to the concatenation of the operands.
wxString | operator+ (const wxString &x, wxUniChar y)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
wxString & | operator<< (const wxString &s)
| Appends the string literal psz.
wxString & | operator<< (const char *psz)
| Appends the string literal psz.
wxString & | operator<< (const wchar_t *pwz)
| Appends the string literal psz.
wxString & | operator<< (const wxCStrData &psz)
| Appends the string literal psz.
wxString & | operator<< (char ch)
| Appends the string literal psz.
wxString & | operator<< (unsigned char ch)
| Appends the string literal psz.
wxString & | operator<< (wchar_t ch)
| Appends the string literal psz.
wxString & | operator<< (const wxCharBuffer &s)
| Appends the string literal psz.
wxString & | operator<< (const wxWCharBuffer &s)
| Appends the string literal psz.
wxString & | operator<< (wxUniChar ch)
| Appends the string literal psz.
wxString & | operator<< (wxUniCharRef ch)
| Appends the string literal psz.
wxString & | operator<< (unsigned int ui)
| Appends the string literal psz.
wxString & | operator<< (long l)
| Appends the string literal psz.
wxString & | operator<< (unsigned long ul)
| Appends the string literal psz.
wxString & | operator<< (wxLongLong_t ll)
| Appends the string literal psz.
wxString & | operator<< (wxULongLong_t ul)
| Appends the string literal psz.
wxString & | operator<< (float f)
| Appends the string literal psz.
wxString & | operator<< (double d)
| Appends the string literal psz.
void | operator+= (const wxString &str)
| Concatenation in place: the argument is appended to the string.
void | operator+= (wxUniChar c)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
int | Cmp (const wxString &s) const
| Case-sensitive comparison.
int | CmpNoCase (const wxString &s) const
| Case-insensitive comparison.
bool | IsSameAs (const wxString &s, bool caseSensitive=true) const
| Test whether the string is equal to another string s.
bool | IsSameAs (wxUniChar ch, bool caseSensitive=true) const
| Test whether the string is equal to the single character ch.
bool | Matches (const wxString &mask) const
| Returns true if the string contents matches a mask containing '*' and '?
bool | StartsWith (const wxString &prefix, wxString *rest=NULL) const
| This function can be used to test if the string starts with the specified prefix.
bool | EndsWith (const wxString &suffix, wxString *rest=NULL) const
| This function can be used to test if the string ends with the specified suffix.
wxString | Mid (size_t first, size_t nCount=wxString::npos) const
| Returns a substring starting at first, with length count, or the rest of the string if count is the default value.
wxString | SubString (size_t from, size_t to) const
| Returns the part of the string between the indices from and to inclusive.
wxString | operator() (size_t start, size_t len) const
| Same as Mid() (substring extraction).
wxString | Left (size_t count) const
| Returns the first count characters of the string.
wxString | Right (size_t count) const
| Returns the last count characters.
wxString | AfterFirst (wxUniChar ch) const
| Gets all the characters after the first occurrence of ch.
wxString | AfterLast (wxUniChar ch) const
| Gets all the characters after the last occurrence of ch.
wxString | BeforeFirst (wxUniChar ch, wxString *rest=NULL) const
| Gets all characters before the first occurrence of ch.
wxString | BeforeLast (wxUniChar ch, wxString *rest=NULL) const
| Gets all characters before the last occurrence of ch.
wxString | Capitalize () const
| Return the copy of the string with the first string character in the upper case and the subsequent ones in the lower case.
wxString | Lower () const
| Returns this string converted to the lower case.
void | LowerCase ()
| Same as MakeLower.
wxString & | MakeCapitalized ()
| Converts the first characters of the string to the upper case and all the subsequent ones to the lower case and returns the result.
wxString & | MakeLower ()
| Converts all characters to lower case and returns the reference to the modified string.
wxString & | MakeUpper ()
| Converts all characters to upper case and returns the reference to the modified string.
wxString | Upper () const
| Returns this string converted to upper case.
void | UpperCase ()
| The same as MakeUpper().
int | Find (wxUniChar ch, bool fromEnd=false) const
| Searches for the given character ch.
int | Find (const wxString &sub) const
| Searches for the given string sub.
int | First (wxUniChar ch) const
| Same as Find().
int | First (const wxString &str) const
| Same as Find().
size_t | Replace (const wxString &strOld, const wxString &strNew, bool replaceAll=true)
| Replace first (or all) occurrences of substring with another one.
bool | ToDouble (double *val) const
| Attempts to convert the string to a floating point number.
bool | ToCDouble (double *val) const
| Variant of ToDouble() always working in "C" locale.
bool | ToLong (long *val, int base=10) const
| Attempts to convert the string to a signed integer in base base.
bool | ToCLong (long *val, int base=10) const
| Variant of ToLong() always working in "C" locale.
bool | ToLongLong (wxLongLong_t *val, int base=10) const
| This is exactly the same as ToLong() but works with 64 bit integer numbers.
bool | ToULong (unsigned long *val, int base=10) const
| Attempts to convert the string to an unsigned integer in base base.
bool | ToCULong (unsigned long *val, int base=10) const
| Variant of ToULong() always working in "C" locale.
bool | ToULongLong (wxULongLong_t *val, int base=10) const
| This is exactly the same as ToULong() but works with 64 bit integer numbers.
int | Printf (const wxString &pszFormat,...)
| Similar to the standard function sprintf().
int | PrintfV (const wxString &pszFormat, va_list argPtr)
| Similar to vprintf.
bool | Alloc (size_t nLen)
| Preallocate enough space for wxString to store nLen characters.
bool | Shrink ()
| Minimizes the string's memory.
wxString | Clone () const
| Returns a deep copy of the string.
void | Clear ()
| Empties the string and frees memory occupied by it.
bool | Contains (const wxString &str) const
| Returns true if target appears anywhere in wxString; else false.
void | Empty ()
| Makes the string empty, but doesn't free memory occupied by the string.
int | Freq (wxUniChar ch) const
| Returns the number of occurrences of ch in the string.
bool | IsAscii () const
| Returns true if the string contains only ASCII characters.
bool | IsNumber () const
| Returns true if the string is an integer (with possible sign).
bool | IsWord () const
| Returns true if the string is a word.
wxString & | Pad (size_t count, wxUniChar chPad=' ', bool fromRight=true)
| Adds count copies of chPad to the beginning, or to the end of the string (the default).
wxString & | Remove (size_t pos)
| Removes all characters from the string starting at pos.
wxString & | Remove (size_t pos, size_t len)
| Removes len characters from the string, starting at pos.
wxString & | RemoveLast (size_t n=1)
| Removes the last character.
wxString | Strip (stripType s=trailing) const
| Strip characters at the front and/or end.
wxString & | Trim (bool fromRight=true)
| Removes white-space (space, tabs, form feed, newline and carriage return) from the left or from the right end of the string (right is default).
wxString & | Truncate (size_t len)
| Truncate the string to the given length.
const_iterator | begin () const
iterator | begin ()
const_iterator | cbegin () const
const_iterator | end () const
iterator | end ()
const_iterator | cend () const
const_reverse_iterator | rbegin () const
reverse_iterator | rbegin ()
const_reverse_iterator | crbegin () const
const_reverse_iterator | rend () const
reverse_iterator | rend ()
const_reverse_iterator | crend () const
wxString & | append (const wxString &str, size_t pos, size_t n)
| An 'invalid' value for string index.
wxString & | append (const wxString &str)
| An 'invalid' value for string index.
wxString & | append (const char *sz, size_t n)
| An 'invalid' value for string index.
wxString & | append (const wchar_t *sz, size_t n)
| An 'invalid' value for string index.
wxString & | append (size_t n, wxUniChar ch)
| An 'invalid' value for string index.
wxString & | append (const_iterator first, const_iterator last)
| An 'invalid' value for string index.
wxString & | assign (const wxString &str, size_t pos, size_t n)
| An 'invalid' value for string index.
wxString & | assign (const wxString &str)
| An 'invalid' value for string index.
wxString & | assign (const char *sz, size_t n)
| An 'invalid' value for string index.
wxString & | assign (const wchar_t *sz, size_t n)
| An 'invalid' value for string index.
wxString & | assign (size_t n, wxUniChar ch)
| An 'invalid' value for string index.
wxString & | assign (const_iterator first, const_iterator last)
| An 'invalid' value for string index.
wxUniChar | at (size_t n) const
| An 'invalid' value for string index.
wxUniCharRef | at (size_t n)
| An 'invalid' value for string index.
void | clear ()
| An 'invalid' value for string index.
size_type | capacity () const
| An 'invalid' value for string index.
int | compare (const wxString &str) const
| An 'invalid' value for string index.
int | compare (size_t nStart, size_t nLen, const wxString &str) const
| An 'invalid' value for string index.
int | compare (size_t nStart, size_t nLen, const wxString &str, size_t nStart2, size_t nLen2) const
| An 'invalid' value for string index.
int | compare (size_t nStart, size_t nLen, const char *sz, size_t nCount=npos) const
| An 'invalid' value for string index.
int | compare (size_t nStart, size_t nLen, const wchar_t *sz, size_t nCount=npos) const
| An 'invalid' value for string index.
wxCStrData | data () const
| An 'invalid' value for string index.
bool | empty () const
| An 'invalid' value for string index.
wxString & | erase (size_type pos=0, size_type n=npos)
| An 'invalid' value for string index.
iterator | erase (iterator first, iterator last)
| An 'invalid' value for string index.
iterator | erase (iterator first)
| An 'invalid' value for string index.
size_t | find (const wxString &str, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find (const char *sz, size_t nStart=0, size_t n=npos) const
| An 'invalid' value for string index.
size_t | find (const wchar_t *sz, size_t nStart=0, size_t n=npos) const
| An 'invalid' value for string index.
size_t | find (wxUniChar ch, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_first_of (const char *sz, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_first_of (const wchar_t *sz, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_first_of (const char *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
size_t | find_first_of (const wchar_t *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
size_t | find_first_of (wxUniChar c, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_last_of (const wxString &str, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | find_last_of (const char *sz, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | find_last_of (const wchar_t *sz, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | find_last_of (const char *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
size_t | find_last_of (const wchar_t *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
size_t | find_last_of (wxUniChar c, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | find_first_not_of (const wxString &str, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_first_not_of (const char *sz, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_first_not_of (const wchar_t *sz, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_first_not_of (const char *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
size_t | find_first_not_of (const wchar_t *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
size_t | find_first_not_of (wxUniChar ch, size_t nStart=0) const
| An 'invalid' value for string index.
size_t | find_last_not_of (const wxString &str, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | find_last_not_of (const char *sz, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | find_last_not_of (const wchar_t *sz, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | find_last_not_of (const char *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
size_t | find_last_not_of (const wchar_t *sz, size_t nStart, size_t n) const
| An 'invalid' value for string index.
wxString & | insert (size_t nPos, const wxString &str)
| An 'invalid' value for string index.
wxString & | insert (size_t nPos, const wxString &str, size_t nStart, size_t n)
| An 'invalid' value for string index.
wxString & | insert (size_t nPos, const char *sz, size_t n)
| An 'invalid' value for string index.
wxString & | insert (size_t nPos, const wchar_t *sz, size_t n)
| An 'invalid' value for string index.
wxString & | insert (size_t nPos, size_t n, wxUniChar ch)
| An 'invalid' value for string index.
iterator | insert (iterator it, wxUniChar ch)
| An 'invalid' value for string index.
void | insert (iterator it, const_iterator first, const_iterator last)
| An 'invalid' value for string index.
void | insert (iterator it, size_type n, wxUniChar ch)
| An 'invalid' value for string index.
size_t | length () const
| An 'invalid' value for string index.
size_type | max_size () const
| An 'invalid' value for string index.
void | reserve (size_t sz)
| An 'invalid' value for string index.
void | resize (size_t nSize, wxUniChar ch='\0')
| An 'invalid' value for string index.
wxString & | replace (size_t nStart, size_t nLen, const wxString &str)
| An 'invalid' value for string index.
wxString & | replace (size_t nStart, size_t nLen, size_t nCount, wxUniChar ch)
| An 'invalid' value for string index.
wxString & | replace (size_t nStart, size_t nLen, const wxString &str, size_t nStart2, size_t nLen2)
| An 'invalid' value for string index.
wxString & | replace (size_t nStart, size_t nLen, const char *sz, size_t nCount)
| An 'invalid' value for string index.
wxString & | replace (size_t nStart, size_t nLen, const wchar_t *sz, size_t nCount)
| An 'invalid' value for string index.
wxString & | replace (size_t nStart, size_t nLen, const wxString &s, size_t nCount)
| An 'invalid' value for string index.
wxString & | replace (iterator first, iterator last, const wxString &s)
| An 'invalid' value for string index.
wxString & | replace (iterator first, iterator last, const char *s, size_type n)
| An 'invalid' value for string index.
wxString & | replace (iterator first, iterator last, const wchar_t *s, size_type n)
| An 'invalid' value for string index.
wxString & | replace (iterator first, iterator last, size_type n, wxUniChar ch)
| An 'invalid' value for string index.
wxString & | replace (iterator first, iterator last, const_iterator first1, const_iterator last1)
| An 'invalid' value for string index.
wxString & | replace (iterator first, iterator last, const char *first1, const char *last1)
| An 'invalid' value for string index.
wxString & | replace (iterator first, iterator last, const wchar_t *first1, const wchar_t *last1)
| An 'invalid' value for string index.
size_t | rfind (const wxString &str, size_t nStart=npos) const
| An 'invalid' value for string index.
size_t | rfind (const char *sz, size_t nStart=npos, size_t n=npos) const
| An 'invalid' value for string index.
size_t | rfind (const wchar_t *sz, size_t nStart=npos, size_t n=npos) const
| An 'invalid' value for string index.
size_t | rfind (wxUniChar ch, size_t nStart=npos) const
| An 'invalid' value for string index.
size_type | size () const
| An 'invalid' value for string index.
wxString | substr (size_t nStart=0, size_t nLen=npos) const
| An 'invalid' value for string index.
void | swap (wxString &str)
| An 'invalid' value for string index.
bool | starts_with (const wxString &str) const
| An 'invalid' value for string index.
bool | starts_with (const char *sz) const
| An 'invalid' value for string index.
bool | starts_with (const wchar_t *sz) const
| An 'invalid' value for string index.
bool | ends_with (const wxString &str) const
| An 'invalid' value for string index.
bool | ends_with (const char *sz) const
| An 'invalid' value for string index.
bool | ends_with (const wchar_t *sz) const
| An 'invalid' value for string index.

## Additional Inherited Members
Public Types inherited from wxString
typedef wxUniChar | value_type
typedef wxUniChar | char_type
typedef wxUniCharRef | reference
typedef wxChar * | pointer
typedef const wxChar * | const_pointer
typedef size_t | size_type
typedef wxUniChar | const_reference
static wxString | Format (const wxString &format,...)
| This static function returns the string containing the result of calling Printf() with the passed parameters on it.
static wxString | FormatV (const wxString &format, va_list argptr)
| This static function returns the string containing the result of calling PrintfV() with the passed parameters on it.
static wxString | From8BitData (const char *buf, size_t len)
| Converts given buffer of binary data from 8-bit string to wxString.
static wxString | From8BitData (const char *buf)
| An 'invalid' value for string index.
static wxString | FromAscii (const char *s)
| Converts the string or character from an ASCII, 7-bit form to the native wxString representation.
static wxString | FromAscii (const unsigned char *s)
| An 'invalid' value for string index.
static wxString | FromAscii (const char *s, size_t len)
| An 'invalid' value for string index.
static wxString | FromAscii (const unsigned char *s, size_t len)
| An 'invalid' value for string index.
static wxString | FromAscii (char c)
| An 'invalid' value for string index.
static wxString | FromCDouble (double val, int precision=-1)
| Returns a string with the textual representation of the number in C locale.
static wxString | FromDouble (double val, int precision=-1)
| Returns a string with the textual representation of the number.
static wxString | FromUTF8 (const char *s)
| Converts C string encoded in UTF-8 to wxString.
static wxString | FromUTF8 (const char *s, size_t len)
| An 'invalid' value for string index.
static wxString | FromUTF8 (const std::string &s)
| An 'invalid' value for string index.
static wxString | FromUTF8Unchecked (const char *s)
| Converts C string encoded in UTF-8 to wxString without checking its validity.
static wxString | FromUTF8Unchecked (const char *s, size_t len)
| An 'invalid' value for string index.
static wxString | FromUTF8Unchecked (const std::string &s)
| An 'invalid' value for string index.
static const size_t | npos
| An 'invalid' value for string index.

## Constructor & Destructor Documentation

## ◆ wxSecretString() [1/3]

wxSecretString::wxSecretString | ( |  | ) |

Default constructor creates an empty string.

## ◆ wxSecretString() [2/3]

wxSecretString::wxSecretString | ( | const wxString & | value | ) |

Constructor from a plain string.

## ◆ wxSecretString() [3/3]

wxSecretString::wxSecretString | ( | const wxSecretValue & | value | ) |
| explicit

Constructor from a secret value.

## ◆ ~wxSecretString()

wxSecretString::~wxSecretString | ( |  | ) |

Destructor calls wxSecretValue::WipeString().